let list = [1; 2; 3; 4; 5; 6]

let printList list =
  for e in list do
    printf "%d " e
  printfn ""

let mutable doubled = []
for e in list do
  doubled <- doubled @ [e * 2]
  
printList doubled

let mutable total = 0
for e in list do
  total <- total + e

printfn "Total is %d" total

let mutable max = System.Int32.MinValue
for e in list do
  if max < e then
    max <- e
  
printfn "Max is %d" max
